Anyone with JB iPad 2 4.3.3 still hesitant to update to 5.0.1?

Discussion in 'Jailbreaks and iOS Hacks' started by heyyitzmelissa, Jan 18, 2012.

  1. heyyitzmelissa macrumors 6502

    Joined:
    Jan 17, 2012
    #1
    I'm waayyy too attached to my jailbreak on my iPad 2 4.3.3 JailbreakMe'd so I can't even get myself to update. I think the stock on my iPad 2 would be horrible to have to endure after being able to experience all the amazingness that is a jailbroken iPad 2.
     
  2. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #2
    Download iOS 5.0.1 for your iPad. The second the untethered jailbreak is released, just update and upgrade ... or iOS 5.1 is released, whichever happens first, and immeadiately!
     
  3. NikeTalk macrumors 6502a

    Joined:
    Apr 5, 2010
    #3
    I went ahead and bit the bullet and updated to 5.0.1 and realized I wasn't missing anything but unfortunately I couldn't go back. I say wait until 5.0.1 is JB'd cause imo it's not worth it.
     
  4. macbookman83 macrumors 6502

    Joined:
    Jan 23, 2011
    Location:
    New York
    #4
    If you feel you can live about 4 days without a jailbreak i say do it.

    For some reason, I think you'd be able to survive :cool:.

    The latest word is that the jailbreak will be ready soon. The guy who is actually writing the app said less than a week.
     
  5. heyyitzmelissa thread starter macrumors 6502

    Joined:
    Jan 17, 2012
    #5
    Lol, I doubt he said that. Devs that work in this kind of field can't have ETAs because you never know what will come up :(:(


    I've actually done that! The iPad2,1_5.0.1_9A405_Restore.ipsw file is sitting and waiting on my desktop, haha
     
  6. boshii macrumors 68040

    boshii

    Joined:
    Jul 6, 2008
    Location:
    Atlanta, GA
    #6
    I've had mine on 5.0.1 for a week now. It's not that bad.
     
  7. heyyitzmelissa thread starter macrumors 6502

    Joined:
    Jan 17, 2012
    #7
    I kind of want to update, seeing how I've never experienced the new iOS5 features on the iPad yet. And I have a mac and iphone on iOS 5 all with iCloud and iTunes Match. Would be nice to finally get my iPad 2 to use it.

    If worse comes to worst, I can always downgrade to 4.3.3 with my blobs!
     
  8. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #8
    I mean they showed a pic of an untethered iPad 2 running Cydia so I'm sure it's not far off. You won't be "stuck" for long if at all.
     
  9. clumsythief83 macrumors regular

    Joined:
    Sep 3, 2010
    #9
    I'm on 4.3.3 and won't update it to 5.0.1 because I'm not sure what 5.0.1 can do that 4.3.3 jailbreak cannot.
     
  10. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #10
    Like what ... ?
     
  11. b0bab0i macrumors regular

    Joined:
    Jan 10, 2012
    #11
    iCloud, iMessage, notification center, skins, Cydia tweaks, etc. A lot of newer apps are requiring iOS5 to run them. iOS 4 is becoming Obsolete.
     
  12. boshii macrumors 68040

    boshii

    Joined:
    Jul 6, 2008
    Location:
    Atlanta, GA
    #12
    4.3.3 doesn't have iMessage or notification center or iCloud or any of the features that come with it.
     

Share This Page